Subject: RE: question on e-lsp and l-lsp (Drop Precedence)

From: "Iren, Sami" <[email-masked]>
Date: Fri, 2 Nov 2001 14:30:14 -0500

In the case of E-LSPs, the EXP bits indicate the per hop
behavior (PHB) which specifies both the service class
and drop precedence (if applicable). For example for
AF1 class there are three PHBs:
 AF11: green AF1 packet
 AF12: yellow AF1 packet
 AF13: red AF1 packet
For each of these PHBs there is a code point (DSCP).
It is this value that is stored in EXP bits.
Since it is 3-bits, the EXP field can only store
up to 8 PHBs.

--Sami

> -----Original Message-----
> From: Vishal M [mailto:[email-masked]]
> Sent: Thursday, November 01, 2001 10:09 PM
> To: [email-masked]
> Subject: RE: question on e-lsp and l-lsp (Drop Precedence)
> 
> 
> 
> Since EXP bits are used to classify traffic types, how
> is drop precedence specified in E-LSP? 
> 
> Is drop-precedence implied by the traffic class
> itself?
> 
> I understand with L-LSP, EXP bits are used to specify
> this.
> 
> Thanks,
> Vishal.
> 
> --- David Allan <[email-masked]> wrote:
> > That and the fact that VCCs by design do not support
> > multiple queuing
> > disciplines. Shuffling the cell order tends to cause
> > problems ;-)
> > 
> > Dave
> > 
> > > -----Original Message-----
> > > From: Proch, Daniel
> > [mailto:[email-masked]]
> > > Sent: Thursday, November 01, 2001 4:40 PM
> > > To: 'Vishal M'; [email-masked]
> > > Subject: RE: question on e-lsp and l-lsp
> > > 
> > > 
> > > Vishal,
> > > 
> > > Somewhere I read that E-LSP shouldn't be used for
> > > ATM-LSR. Could someone please explain why ?
> > > 
> > > MPLS over ATM (cell) interfaces uses the existing
> > ATM cell 
> > > structure and
> > > what were the contents of the VPI field or the
> > combined 
> > > VPI/VCI fields to
> > > infer a label.  There are no EXP bits in the
> > header and therefore only
> > > L-LSPs can be supported on LC-ATM interfaces.  
> > > 
> > > dan
> > > 
> > > -----Original Message-----
> > > From: Vishal M [mailto:[email-masked]]
> > > Sent: Thursday, November 01, 2001 3:59 PM
> > > To: [email-masked]
> > > Subject: Re: question on e-lsp and l-lsp
> > > 
> > > 
> > > 
> > > Hi,
> > > 
> > > I have some followup questions on L-LSP and
> > E-LSPs:
> > > 
> > > 1. Can we map multiple CTs onto a single L-LSP ?
> > The
> > > draft seem to suggest that creation of a separate
> > LSP
> > > can be done for every CT. 
> > > 
> > > Is creation of separate L-LSP mandatory for every
> > CT
> > > or  is it left to the implementation?
> > > 
> > > 2. Somewhere I read that E-LSP shouldn't be used
> > for
> > > ATM-LSR. Could someone please explain why ?
> > > 
> > > Thanks for your time,
> > > Vishal.
> > > 
> > > "Fan, Zhong" wrote:
> > > > 
> > > > Can anybody shed some light on the differences
> > > between e-lsp and
> > > > l-lsp please? I'm reading
> > > draft-ietf-mpls-diff-ext-09.txt at the
> > > > moment. Although the draft gives denifition of
> > these
> > > two kinds of
> > > > LSPs, I am still confused. Is this all about the
> > > mapping of diffserv
> > > > classes to MPLS FEC or EXP?
> > > 
> > > The draft explains the differences.
> > > 
> > > In superbrief summary;
> > > 
> > > - An L-LSP has one QoS for all packets.  It is
> > > determined at LSP
> > >   setup.  This is similar to setting up an LSP
> > without
> > > any DiffServ
> > >   extensions, except that the objects used in the
> > > signaling are
> > >   different.
> > > 
> > > - An E-LSP has up to 8 QoS levels for the single
> > LSP. 
> > > The EXP bits
> > >   determine the appropriate QoS on a per-packet
> > basis.
> > >  The QoS that
> > >   is assigned to each EXP value is signaled at LSP
> > > setup (or is a
> > >   configured default if the values are not
> > signaled.)
> > > 
> > > -- David
> > > 
> > > 
> > > __________________________________________________
> > > Do You Yahoo!?
> > > Make a great connection at Yahoo! Personals.
> > > http://personals.yahoo.com
> > > 
> > > 
> > 
> 
> 
> __________________________________________________
> Do You Yahoo!?
> Make a great connection at Yahoo! Personals.
> http://personals.yahoo.com
>